package com.ips.system.dto;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.Data;

import java.util.Map;
import java.util.Objects;

@Data
public class AlgorithmParamsDto {
    public static final String MODEL_KEY = "model";
    private String al_name;
    private String files_path;
    private String output_path;
    private Map<String,Object> params;

    public AlgorithmParamsDto(String alName,String inputPath, String outputPath, Map<String, Object> params) {
        this.al_name = alName;
        this.files_path = inputPath;
        this.output_path = outputPath;
        this.params = params;
    }

}
