package com.ips.system.dto;

import lombok.Data;

// 文件对象
@Data
public class FileInfoDTO {
    private String fileName;    // 不含后缀
    private String fullName;   // 包含后缀
    private String filePath;
    private long fileSize;
    private String extension;  // 文件扩展名（不带点）

//    private PreprocessResultDto preprocessResult;

    public FileInfoDTO(String fileName, String fullName, String filePath, long fileSize, String extension) {
        this.fileName = fileName;
        this.fullName = fullName;
        this.filePath = filePath;
        this.fileSize = fileSize;
        this.extension = extension;
//        this.preprocessResult = new PreprocessResultDto(fileName);
    }

//    public FileInfoDTO(String fileName, String filePath, long fileSize, String extension) {
//        this.fileName = fileName;
//        this.filePath = filePath;
//        this.fileSize = fileSize;
//        this.extension = extension;
//    }

    public FileInfoDTO(String fileName, String filePath, long fileSize) {
        this.fileName = fileName;
        this.filePath = filePath;
        this.fileSize = fileSize;
        this.extension = extension;
    }

}